Subject: bug#10580: 24.0.92; gdb initialization takes more than one minute at 100% CPU

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 May 2012 20:47:57 +0300

> From: Chong Yidong <[email-masked]>
> Date: Wed, 09 May 2012 00:25:00 +0800
> Cc: [email-masked]
> 
> Those are status messages from turning on GDB's MI (machine interface)
> system, I think, though I don't see why it makes so much difference in
> your case.
> 
> If you type, from the shell,
> 
>   gdb -i=mi YOUR-BINARY
>   r
> 
> do you similarly see a huge output?

As you know, in addition to "run", gdb-mi.el sends lots of other
commands behind the scenes, so the above is not a faithful simulation
of what happens when GDB is run by Emacs.  But I agree that if the
above produces similarly voluminous output, we cannot really blame
gdb-mi.el.